<?php

namespace Src\Modules\Auth\Interfaces\Dto\Admin;

use Src\Modules\Auth\Interfaces\Dto\IFactory as IDtoFactory;

interface IFactory
{
    public function setDtoFactory(IDtoFactory $factory): void;
    public function createAdminResource(): IAdminResource;
    public function createAdminPersist(): IAdminPersist;
    
}